﻿using DTO;
using Model;

namespace API_LoL.Mapper
{
    public static class SkinMapper
    {
        public static SkinDTO ToDTO(this Skin skin)
        {
            return new SkinDTO(skin.Name, skin.Description, skin.Icon);
        }

        public static Skin ToSkin(this SkinDTO skin)
        {
            return new Skin(skin.Name, null, icon:skin.Icon) ;
        }
    }
}
